package com.chenyang.nse.bussiness.entity.ip;

public class Ip {
   private String networkInterface;
   private String inetAddress;
   private String subnetMask;
   private String gateway;
   private String dns;

   public String getNetworkInterface() {
      return this.networkInterface;
   }

   public String getInetAddress() {
      return this.inetAddress;
   }

   public String getSubnetMask() {
      return this.subnetMask;
   }

   public String getGateway() {
      return this.gateway;
   }

   public String getDns() {
      return this.dns;
   }

   public void setNetworkInterface(final String networkInterface) {
      this.networkInterface = networkInterface;
   }

   public void setInetAddress(final String inetAddress) {
      this.inetAddress = inetAddress;
   }

   public void setSubnetMask(final String subnetMask) {
      this.subnetMask = subnetMask;
   }

   public void setGateway(final String gateway) {
      this.gateway = gateway;
   }

   public void setDns(final String dns) {
      this.dns = dns;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof Ip)) {
         return false;
      } else {
         Ip other = (Ip)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$networkInterface = this.getNetworkInterface();
            Object other$networkInterface = other.getNetworkInterface();
            if (this$networkInterface == null) {
               if (other$networkInterface != null) {
                  return false;
               }
            } else if (!this$networkInterface.equals(other$networkInterface)) {
               return false;
            }

            Object this$inetAddress = this.getInetAddress();
            Object other$inetAddress = other.getInetAddress();
            if (this$inetAddress == null) {
               if (other$inetAddress != null) {
                  return false;
               }
            } else if (!this$inetAddress.equals(other$inetAddress)) {
               return false;
            }

            Object this$subnetMask = this.getSubnetMask();
            Object other$subnetMask = other.getSubnetMask();
            if (this$subnetMask == null) {
               if (other$subnetMask != null) {
                  return false;
               }
            } else if (!this$subnetMask.equals(other$subnetMask)) {
               return false;
            }

            Object this$gateway = this.getGateway();
            Object other$gateway = other.getGateway();
            if (this$gateway == null) {
               if (other$gateway != null) {
                  return false;
               }
            } else if (!this$gateway.equals(other$gateway)) {
               return false;
            }

            Object this$dns = this.getDns();
            Object other$dns = other.getDns();
            if (this$dns == null) {
               if (other$dns != null) {
                  return false;
               }
            } else if (!this$dns.equals(other$dns)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof Ip;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $networkInterface = this.getNetworkInterface();
      result = result * 59 + ($networkInterface == null ? 43 : $networkInterface.hashCode());
      Object $inetAddress = this.getInetAddress();
      result = result * 59 + ($inetAddress == null ? 43 : $inetAddress.hashCode());
      Object $subnetMask = this.getSubnetMask();
      result = result * 59 + ($subnetMask == null ? 43 : $subnetMask.hashCode());
      Object $gateway = this.getGateway();
      result = result * 59 + ($gateway == null ? 43 : $gateway.hashCode());
      Object $dns = this.getDns();
      result = result * 59 + ($dns == null ? 43 : $dns.hashCode());
      return result;
   }

   public String toString() {
      return "Ip(networkInterface=" + this.getNetworkInterface() + ", inetAddress=" + this.getInetAddress() + ", subnetMask=" + this.getSubnetMask() + ", gateway=" + this.getGateway() + ", dns=" + this.getDns() + ")";
   }
}
